#!/usr/bin/python
##### Odbojnost izgubnih dielektrikov - S53MV 17.03.2018 #####

import math,cmath	#uporabljene funkcije

k=0.0001*math.pi	#korak risanja v radianih

x=[]		#polja za risanje grafa
y1=[]
y2=[]
y3=[]
y4=[]
z1=[]
z2=[]
z3=[]
z4=[]

def odbojhp(t,e):	#amplituda odbojnosti HP
	a=math.cos(t)
	b=cmath.sqrt(e-math.sin(t)*math.sin(t))
	return abs((a-b)/(a+b))

def odbojvp(t,e):	#amplituda odbojnosti VP
	a=e*math.cos(t)
	b=cmath.sqrt(e-math.sin(t)*math.sin(t))
	return abs((a-b)/(a+b))

t=k/2.0		#kot theta v radianih
while t<math.pi/2:
	x=x+[t]			#dodaj tocko v risbo
	f=(1.0+math.cos(t))/2.0
	y1=y1+[odbojhp(t,complex(10,0))]	#odbojnost HP
	y2=y2+[odbojhp(t,complex(10,-1))]
	y3=y3+[odbojhp(t,complex(10,-3))]
	y4=y4+[odbojhp(t,complex(10,-10))]
	z1=z1+[odbojvp(t,complex(10,0))]	#odbojnost VP
	z2=z2+[odbojvp(t,complex(10,-1))]
	z3=z3+[odbojvp(t,complex(10,-3))]
	z4=z4+[odbojvp(t,complex(10,-10))]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
fig=plt.figure()
plt.plot(x,y1,'b-')
plt.plot(x,y2,'g-')
plt.plot(x,y3,'y-')
plt.plot(x,y4,'r-')
plt.plot(x,z1,'b-')
plt.plot(x,z2,'g-')
plt.plot(x,z3,'y-')
plt.plot(x,z4,'r-')
plt.grid(True)
plt.axis([0.0,math.pi/2,0,1])
plt.title(r'Dielektrik z izgubami $\epsilon_r$=10,10-$j$1,10-$j$3,10-$j$10'+'\n ')
plt.xticks([0.0,math.pi/8,math.pi/4,3*math.pi/8,math.pi/2],['0',r'$\pi$/8',r'$\pi$/4',r'3$\pi$/8',r'$\pi$/2'])
plt.yticks([0,0.2,0.4,0.6,0.8,1])
plt.xlabel(r'Vpadni kot $\Theta$ [rd]')
plt.ylabel('Velikost odbojnosti |$\Gamma$|')
fig.savefig('izgube.svg', transparent=True)
plt.show()

#konec programa

