#!/usr/bin/python
##### Odbojnost razlicnih dielektrikov - S53MV 17.03.2018 #####

import math,cmath	#uporabljene funkcije

k=0.0001*math.pi	#korak risanja v radianih

x=[]		#polja za risanje grafa
y1=[]
y2=[]
y3=[]
y4=[]
z1=[]
z2=[]
z3=[]
z4=[]

def odbojhp(t,e):	#odbojnost HP
	a=math.cos(t)
	b=math.sqrt(e-math.sin(t)*math.sin(t))
	return (a-b)/(a+b)

def odbojvp(t,e):	#odbojnost VP
	a=e*math.cos(t)
	b=math.sqrt(e-math.sin(t)*math.sin(t))
	return (a-b)/(a+b)

t=k/2		#kot theta v radianih
while t<math.pi/2:
	x=x+[t]			#dodaj tocko v risbo
	y1=y1+[odbojhp(t,2.25)]	#odbojnost HP
	y2=y2+[odbojhp(t,9.8)]
	y3=y3+[odbojhp(t,80)]
	y4=y4+[odbojhp(t,10000)]
	z1=z1+[odbojvp(t,2.25)]	#odbojnost VP
	z2=z2+[odbojvp(t,9.8)]
	z3=z3+[odbojvp(t,80)]
	z4=z4+[odbojvp(t,10000)]
	t=t+k			#povecaj t za korak

import matplotlib.pyplot as plt		#risanje grafa funkcije
fig=plt.figure()
plt.plot([0,math.pi/2],[0,0],'k-')
plt.plot(x,y1,'r-')
plt.plot(x,y2,'y-')
plt.plot(x,y3,'g-')
plt.plot(x,y4,'b-')
plt.plot(x,z1,'r-')
plt.plot(x,z2,'y-')
plt.plot(x,z3,'g-')
plt.plot(x,z4,'b-')
plt.grid(True)
plt.axis([0.0,math.pi/2,-1,1])
plt.title(r'Dielektrik $\epsilon_r$=2.25($polietilen)$,9.8($Al_2O_3$),80($voda$),10000($BaTiO_3$)'+'\n ')
plt.xticks([0.0,math.pi/8,math.pi/4,3*math.pi/8,math.pi/2],['0',r'$\pi$/8',r'$\pi$/4',r'3$\pi$/8',r'$\pi$/2'])
plt.yticks([-1,-0.8,-0.6,-0.4,-0.2,0,0.2,0.4,0.6,0.8,1])
plt.xlabel(r'Vpadni kot $\Theta$ [rd]')
plt.ylabel('Odbojnost $\Gamma$')
fig.savefig('odbojnost.svg', transparent=True)
plt.show()

#konec programa

